libnvme(2)

NAME
struct nvme_zns_mgmt_recv_args - Arguments for the NVMe ZNS Management Receive command

SYNOPSIS
struct nvme_zns_mgmt_recv_args {
__u64 slba;
__u32 *result;
void *data;
int args_size;
int fd;
__u32 timeout;
__u32 nsid;
enum nvme_zns_recv_action zra;
__u32 data_len;
__u16 zrasf;
bool zras_feat;
};

Members

slba
    Starting logical block address

result
    The command completion result from CQE dword0

data
    Userspace address of the data

args_size
    Size of struct nvme_zns_mgmt_recv_args

fd  File descriptor of nvme device

timeout
    timeout in ms

nsid
    Namespace ID

zra zone receive action

data_len
    Length of data

zrasf
    Zone receive action specific field

zras_feat
    Zone receive action specific features